{% extends 'base.html' %}
{% load static %}

{% block content %}
    <div class="container">
        <div class="row d-flex justify-content-center">
            <div class="col-3">
                <form>
                    <div class="form-group text-center">
                        <label for="exampleFormControlTextarea1" class="h4 pt-5">{{ title }}</label>
                        <textarea class="form-control" id="chat-text" readonly rows="10"></textarea><br>
                    </div>
                    <div class="form-group">
                        <input class="form-control" placeholder="Enter text here" id="input" type="text"></br>
                    </div>
                    <input class="btn btn-primary btn-lg btn-block" id="submit" type="button" value="Send">
                </form>
            </div>
        </div>
    </div>
    {{ request.user.username|json_script:"user_username" }}
    {{ anime_id|json_script:"anime_id" }}

    <script>
       const animeId = JSON.parse(document.getElementById('anime_id').textContent);
       const chatSocket = new WebSocket(
          'ws://' +
          window.location.host +
          '/ws/chat/' +
          animeId +
          '/'
       );

       const user_username = JSON.parse(document.getElementById('user_username').textContent);
       document.querySelector('#submit').onclick = function (e) {
          const messageInputDom = document.querySelector('#input');
          const message = messageInputDom.value;
          chatSocket.send(JSON.stringify({
              'message': message,
              'username': user_username,
          }));
          messageInputDom.value = '';
       };

       chatSocket.onmessage = function (e) {
          const data = JSON.parse(e.data);
          document.querySelector('#chat-text').value += (data.message + ' sent by ' + data.username   + '\n') // add message to text box
       }
    </script>
{% endblock content %}